Systray option does not work.

Bug #1546328 reported by Len Ovens on 2016-02-16
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Ubuntu Studio
Undecided
Unassigned
qjackctl (Ubuntu)
Medium
Ross Gammon

Bug Description

Setting Qjackctl to "Enable system tray icon" does not display Qjackctl's icon and the menu provided by qjackctl from systray is blank. Further setting Qjackctl to "Start minimized to system tray" makes the application unusable.

A reboot after Qjackctl to "Enable system tray icon" and "Start minimized to system tray" are set, starting Qjackctl not only doesn't show Qjackctl's icon, but the mouse stops working correctly:

The mouse moves ok, but does not have any hover effect or clicks so the menu no longer works and the only way to kill qjackctl is with control-alt-F1 (which does still work).

Qjackctl is the main application used for controlling Jackd or jackdbus for those using any of the pro audio software.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: qjackctl 0.4.1-1ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-4.19-lowlatency 4.4.1
Uname: Linux 4.4.0-4-lowlatency x86_64
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
CurrentDesktop: XFCE
Date: Tue Feb 16 14:30:46 2016
InstallationDate: Installed on 2015-11-19 (89 days ago)
InstallationMedia: Ubuntu-Studio 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151118)
SourcePackage: qjackctl
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Len Ovens (len-ovenwerks) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in qjackctl (Ubuntu):
status: New → Confirmed
Changed in qjackctl (Ubuntu):
importance: Undecided → Low
affects: qjackctl (Ubuntu) → ubuntustudio
affects: ubuntustudio → qjackctl (Ubuntu)
Kaj Ailomaa (zequence) on 2016-02-23
Changed in qjackctl (Ubuntu):
importance: Low → Critical
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1546328

tags: added: iso-testing
Len Ovens (len-ovenwerks) wrote :

Downloading qjackctl from sourceforge (pointed to from the author's site) I tried building with qt4 and then qt5. I found that the QT5 build had the same problem, but the qt4 build works as expected. I would suggest that the build script be set to build with qt4.

Len Ovens (len-ovenwerks) wrote :

It appears this trouble is not unique qjackctl, other applications have had problems with systray when updating to QT5 as well. Maybe fixing QT5 would be a better course (or future course?)

Ross Gammon (rosco2) wrote :

Yes, just tested this and I can see that if someone sets Qjackctl to start minimised on the systray, they will be stuck without Qjackctl.

It looks like reverting this commit (from Debian) should put us back to QT4 for Xenial.
http://anonscm.debian.org/cgit/pkg-multimedia/qjackctl.git/commit/?id=788b91e22ca4d0b770e66e34171d4e02a16f9697

QT4 will eventually disappear from Debian & then Ubuntu, but for the Xenial Release it should be OK.

If we do drop back to QT4, we should make sure that there is a bug submitted upstream to get it fixed with QT5 for the next release.

I am happy to try and fix this on the weekend, after we have Beta 1 out of the way.

Len Ovens (len-ovenwerks) wrote :

Ross, I tried that :) changing those few lines did not work. While they do have to be changed, ./configure needs to be run with --enable-qt4 as well or configure needs to be edited to enable qt4 by default. I did try just editing configure with success, but I am sure this is probably the "wrong" way. The right way would seem to be with override_dh_auto_configure: but this does not work because there is no dh $@ that loads dh_auto_configure. However, adding dh $@ breaks some other things.

There are some other qt4 applications around so I hope it doesn't vanish too quickly. Any help would be wonderful.

Ross Gammon (rosco2) wrote :

Reported upstream in case there is a quick fix, and anyway we will need to switch to QT5 one day. Unfortunately, launchpad won't let me enter the link as an affected project (to use bug watcher):
https://sourceforge.net/p/qjackctl/tickets/26/

Setting export QT_SELECT=qt4 in debian/rules might work, but I have not tested it yet.

Ross Gammon (rosco2) wrote :

OK. I have managed to work out the CDBS option to force it to build with QT4 and it builds OK.

Looking upstream, it looks like this is supposed to be fixed with v5.5 of QT5 which seems to be in Xenial at the moment.

Anyway, I will do some testing tomorrow.

Changed in qjackctl (Ubuntu):
assignee: nobody → Ross Gammon (retail-0)
Len Ovens (len-ovenwerks) wrote :

Yes, I found that qt 5.5 was supposed to fix systray problems as well. That may mean that the bug is with the application itself. Rui may have had it working with qt 5.1 on some DE. Certainly on my ubuntustudio install with qt 5.5 qjackctl only works as a qt4 appliaction, but not qt5.

Len Ovens (len-ovenwerks) wrote :

Yes, I found that qt 5.5 was supposed to fix systray problems as well. That may mean that the bug is with the application itself. Rui may have had it working with qt 5.1 on some DE. Certainly on my ubuntustudio install with qt 5.5 qjackctl only works as a qt4 appliaction, but not qt5.

I have tried the version in you ppa and it works correctly as expected. All systray options were tested.

Ross Gammon (rosco2) wrote :

OK. The change looks good. The package builds OK in the Ubuntu Studio ppa:
https://launchpad.net/~ubuntustudio-dev/+archive/ubuntu/dev-testing
And it has been installed and tested from there.

This attached debdiff is only different to the ppa version, in that the changelog entry has been tweaked to state that the issue only appears in XFCE which is the default desktop for Ubuntu Studio.

Qjackctl is seeded in Ubuntu Studio.

I think it is ready for sponsorship.

Daniel Holbach (dholbach) wrote :

Hum, qjackctl upstream points to https://bugreports.qt.io/browse/QTBUG-35658 which should have been fixed since Qt 5.5.0 Alpha - in Ubuntu we're at 5.5.1 already. Can somebody confirm this is still broken?

Daniel Holbach (dholbach) wrote :

If this is still an issue, we should let qjackctl and qt upstream know or investigate if it's an Ubuntu specific problem.

Len Ovens (len-ovenwerks) wrote :

I did my tests with 5.5.1 and it was still broken.

Ross Gammon (rosco2) wrote :

I have added some more information (that it is still an issue) to the upstream bug in Qjackctl.

Just updating my sid (XFCE) VM to see if it is a problem there.

Ross Gammon (rosco2) wrote :

OK. Works fine in Debian unstable (XFCE), so it is an Ubuntu problem.

The dependency differences in the QT/X11 area seem to be:
libqt5.........stuff: 5.5.1+dfsg-14 (Debian) > 5.5.1+dfsg-13ubuntu3 (Ubuntu)
libqt5x11extras5: 5.5.1-3 (Debian) > 5.5.1-3build1(Ubuntu)
libx11-6: 2:1.6.3-1 (Debian) > 2:1.6.3-1ubuntu2 (Ubuntu)

The plan was to drop back to QT4 for 16.04, and investigate it further for the next cycle. But if we can track it down to an Ubuntu patch, or dependency.........

Ross Gammon (rosco2) wrote :

The Ubuntu changes to qtbase-opensource-src 5.5.1 do seem to include backports from the 5.6 branch which may be System Tray related:
https://launchpadlibrarian.net/243321175/qtbase-opensource-src_5.5.1+dfsg-14ubuntu1_5.5.1+dfsg-14ubuntu2.diff.gz

But I am not sure. I will add a task to see if someone more experienced in QT5 can help find the right eventual fix.

Dmitry Shachnev (mitya57) wrote :

@Ross: The difference between Debian and Xubuntu is that the latter has an indicators-based tray, so Qt tries to use that too.

Anyway, have you tested if the bug still occurs with the latest qtbase upload? If that is the case, I will try to look at it.

As a temporary workaround, try installing appmenu-qt5 package (after logout/login the bug should be gone).

Changed in qtbase-opensource-src (Ubuntu):
assignee: nobody → Dmitry Shachnev (mitya57)
Ross Gammon (rosco2) wrote :

Thanks Dmitry.

I can confirm that we have been testing with up-to-date Xenial boxes with the latest QT5.

I just installed appmenu-QT5 and it makes things slightly better in that the icon in the tray is dynamic, but the menu that drops down from it is empty.

Dmitry Shachnev (mitya57) wrote :

Actually there are two problems here.

1) The menu

I have taken a look at qjackctl code. It makes some really wrong assumptions about how the system tray icons work. In particular, it doesn't call the tray icon's contextMenu(), but instead intercepts the events and tries to draw a custom menu. This does not work when the system tray is provided by the indicators.

With the latest upstream Git (https://github.com/rncbc/qjackctl/commit/2587df346c8bd259) the situation is a bit better and the menu shows, but it is still a gross hack and this approach is not guaranteed to always work.

2) The icon

Unfortunately indicator-application doesn't fully implement the StatusNotifier specification. In particular, it supports loading icons only from the icon theme, but not the custom icons via IconPixmap. Qt knows about this and adds a workaround for this but only when XDG_CURRENT_DESKTOP=Unity. On Xfce this is not the case, so the workaround is not applied. When appmenu-qt5 is used, it always uses that workaround. I think the best fix for it will be implementing proper support for IconPixmap in indicator-application.

Changed in qtbase-opensource-src (Ubuntu):
status: New → Invalid
Dmitry Shachnev (mitya57) wrote :

A small typo in my previous comment: it doesn't *populate* the tray icon's contextMenu().

Ross Gammon (rosco2) wrote :

Thanks Dmitry. That really helps make it clear. I have updated the upstream bug with the analysis.

So it appears we have a choice:
1. Go with the original proposal (patch attached) and build qjackctl with QT4 for Xenial
2. Cherry pick two of the upstream commits and try and get it working that way

I will look at (2) in the next few days.

Ross Gammon (rosco2) wrote :

I now upload a new debdiff which rather than dropping back to build with QT4, instead cherry-picks some upstream commits to get the systray menu working, and depend upon appmenu-qt5 to get the systray icon showing.

The changes can be tested by upgrading to the verision uploaded to the Ubuntu Studio Testing ppa:
https://launchpad.net/~ubuntustudio-dev/+archive/ubuntu/dev-testing

The only difference in that version being the changelog version (~ppa3).

Dmitry Shachnev (mitya57) wrote :

I don't like Depends: appmenu-qt5. Can it be a recommendation?

We want to drop appmenu-qt5 at some point. If it won't happen in Xenial, it will definitely happen in Xenial+1.

Len Ovens (len-ovenwerks) wrote :

If not having a package breaks an app that package would be a depend by definition... or am I missing something? This small application, Qjackctl, is a major part of Ubuntustudio as the app that allows the user to control jackd/jackdbus from a gui. With out proper systray operation the user may find themselves unable to use this application if they set qjackctl to start hidden in the systray. All major lowlatency audio applications depend on jack. Are you suggesting Ubuntu is no longer a platform someone should use for audio/video work? This bug is an ISO fail for Studio, so it would seem strange to drop a qt5 package and keep qt4 libs around instead, but that seems to what you are saying.

Ross Gammon (rosco2) wrote :

@ Dmitry. I was just reading the discussion in Ubuntu-devel and wondering what to do. Without appmenu-qt5, the menu works from the systray, but the icon is not animated. It just shows a red cross all the time, which is misleading for the user.

So I guess we could just recommend it, and then it will be pulled in as long as it is there. We can then try and work with upstream to get a better forward looking fix for xenial + 1.

I would prefer that appmenu-qt5 is still around in xenial, because as Len says, Qjackctl is a critical part of Ubuntu Studio, and we would prefer a slick user experience.

@ Len. Have you had a chance to test the latest version in our testing ppa? I noticed a second menu appearing underneath the "indicator" one, which eventually goes away. It wasn't really that noticeable on my VM, but it was running at less than half-screen size,

Ross Gammon (rosco2) wrote :

A new debdiff with appmenu-qt5 demoted to "recommends".

If appmenu-qt5 disappears from the archive, Qjackctl is still useable for people that minimise to the system tray (via the drop down indicator menu), but the icon shown in the tray is a red cross instead of reflecting the "stopped"/"started" status of Qjackctl.

Len Ovens (len-ovenwerks) wrote :

Ross: Downloaded and installed qjackctl_0.4.1-1ubuntu2~ppa3_i386.deb from https://launchpad.net/~ubuntustudio-dev/+archive/ubuntu/dev-testing/+packages

Setup->misc->Enable system tray icon seems to work Minus the icon... stop and then start works ok too.

Setup->misc->Start minimized to system tray -- work ok still, but quit qjackctl and restart and my desktop show mouse movement but nothing works. I can not bring any window to focus or input to the already focused window. I have to c/a/F1 and killall qjackctl, c/a/F7 to get back in business. To correct this I have to remove Qjackctols config file as this seems to be the only way to be able to use qjackctl again.

Note: appmenu-qt5 is still installed. So it does not seems to fix anything.

So far, the ISO is broken. I will try one more thing: a reboot, and see if that helps.

Len Ovens (len-ovenwerks) wrote :

Reboot did get me a nice icon, but running qjackctl with "Start minimized to tray" still locks all screen input.

It is interesting that with "Enable system tray icon" selected it is fine, I can start and stop with no problems. It is the Start minimized to tray option that causes trouble.

Perhaps QT4 is still the best option at this time. (and perhaps indicators are just bad and systray is a better option too, but that is just my opinion. I like being able to have different actions on left and right click)

Len Ovens (len-ovenwerks) wrote :

Note: The problem is starting qjackctl when "Start minimized to tray" has already select on a previous run.

Dmitry Shachnev (mitya57) wrote :

@Ross:

> Without appmenu-qt5, the menu works from the systray, but the icon is not animated. It just shows a red cross all the time, which is misleading for the user.

Thanks for letting me know that, I will try to look at this issue a bit later.

The goal is to make Qt's own dbustray implementation work at least as good as ours (appmenu-qt5). Only when all the bugs in Qt's implementation are fixed, we will drop appmenu-qt5 from archive. Most likely it will happen next cycle.

Ross Gammon (rosco2) wrote :

@ Len:

Thanks for testing that. I didn't think to try leaving minimised first.

I have to admit that uploading the version that builds with QT4 is my current favourite. It is a whole lot neater and has zero problems for the user as far as I can tell.

But if we are forced to upload the QT5 version, then we would have to advise users to manually edit their conf file to set StartMinimised to false.

That would be a real pain. Unfortunately, I don't really know where to start looking for what actually causes that lock up.

Len Ovens (len-ovenwerks) wrote :

Ross: "we would have to advise users to manually edit their conf file to set StartMinimised to false." They may not be able to. A not uncommon use of qjackctl is to have it set to start with session in order to run jack at that time. So the user upgrades, reboots and finds they can't do anything... including start an editor to edit qjackctl's config file. The worst part of this, is that there is not real indication to the user that qjackctl is the problem. I don't know qt or I might try just disabling that option: remove that checkbox. Quite honestly, I have a little piece of code (in python) that I copied and use the same code for any of my own systray uses. I don't have a clear understanding of how systray or indicators work. My GUI work has been tk/tcl and fltk.

Len Ovens (len-ovenwerks) wrote :

Hmm, maybe for now just set ./configure --enable-system-tray=no or --disable-system-tray

Honestly, I use the system tray settings with qjackctl all the time. I just don't have the screen real estate to deal with it. Screen 1 has the editor window and meter bridge and screen 2 has the mixer panel and control surface gui (sometimes 2 of those). The systray is very useful for on the fly audio changes. On my system I will likely compile qjackctl with qt4 till upstream fixes it and then use that.

But locking the user input is just broken and the ISO is not usable, it is better than qjackctl run with no systray than lock the session.

There are still a number of applications that use qt4 (and 3 and 2) so the libs will be there.

Ross Gammon (rosco2) wrote :

Disabling the system tray completely seems a bit of a backwards step.

Like you, I am no QT expert. Although it is on my to-do list to learn. So if anyone can help identify what makes Ubuntu Studio freeze if Qjackctl was minimised before upgrade, it would be appreciated.

Otherwise, uploading the debdiff version where Qjackctl is compiled with QT4 seems the best option for users. It works out of the box with no issues for the users, or funny visual stuff, and the QT4 libraries will still be available and installed for other applications anyway.

On Tue, Mar 22, 2016, at 04:48 PM, Ross Gammon wrote:
> Disabling the system tray completely seems a bit of a backwards step.
>
> Like you, I am no QT expert. Although it is on my to-do list to learn.
> So if anyone can help identify what makes Ubuntu Studio freeze if
> Qjackctl was minimised before upgrade, it would be appreciated.
>
> Otherwise, uploading the debdiff version where Qjackctl is compiled with
> QT4 seems the best option for users. It works out of the box with no
> issues for the users, or funny visual stuff, and the QT4 libraries will
> still be available and installed for other applications anyway.
>

I second using QT4 for now.

Dmitry Shachnev (mitya57) wrote :

Dear Ross,

>> Without appmenu-qt5, the menu works from the systray, but the icon is not animated. It just shows a red cross all the time, which is misleading for the user.
>
> Thanks for letting me know that, I will try to look at this issue a bit later.

Can you please check if starting qjackctl with XDG_CURRENT_DESKTOP=Unity fixes the icon issue you mentioned?

If it does, then I have an idea on how to workaround this bug in Qt (the idea is to check not XDG_CURRENT_DESKTOP, but rather whether the StatusNotifierWatcher cmdline ends with indicator-application-service).

Dmitry Shachnev (mitya57) wrote :

The mentioned fix is https://codereview.qt-project.org/154459. If it gets accepted upstream, I'll try to make sure it gets included in Xenial (or at least Xenial-updates).

Len Ovens (len-ovenwerks) wrote :

@Dmitry, doing:
$ export XDG_CURRENT_DESKTOP=Unity
$ qjackctl

Does make the icon behave as expected. Good. However, the rest of the problems still exist:
 - The qjackctl menu does not work, instead an empty drop-down appears. (for the reasons you already mentioned)
 - Setting "Start minimized to system tray" makes desktop unusable. Mouse moves, but no input is possible. One has to use c/a/f1 to a vterm in order to kill qjackctl to make the desktop usable again.

Dmitry Shachnev (mitya57) wrote :

@Len,

> - The qjackctl menu does not work, instead an empty drop-down appears. (for the reasons you already mentioned)

Right. I cannot do anything with this in Qt, qjackctl should really use the recommended APIs (i.e. QSystemTrayIcon::setContextMenu)…

> - Setting "Start minimized to system tray" makes desktop unusable. Mouse moves, but no input is possible. One has to use c/a/f1 to a vterm in order to kill qjackctl to make the desktop usable again.

I cannot reproduce this… Do you mean this happens when opening the menu? If yes, then selecting any menu item will make it disappear. However, as I said, detached menu in random part of screen is not a bad idea, and see point 1).

Without the menu opened I don't see what can go wrong. In any case it would probably be a bug in qjackctrl.

Len Ovens (len-ovenwerks) wrote :

@Dmitry,

Sorry for not being clearer.

"> - Setting "Start minimized to system tray" makes desktop unusable. Mouse moves, but no input is possible. One has to use c/a/f1 to a vterm in order to kill qjackctl to make the desktop usable again. "

After setting "Start minimized to system tray", exit the application. Then restart (from command line or menu). On restart is when the desktop has trouble. This is xfce as put together in xubuntu/ubuntustudio. I haven't tried KDE or Unity.

I agree fully that the trouble is with application itself. If there was a replacement, I would have already suggested it. I don't know what the difference between qt4 and qt5 is. I am guessing qt4 is systray and qt5 is indicator.

Dmitry Shachnev (mitya57) wrote :

@Len, I could not reproduce it on my own system with Xfce installed, but I can now reproduce it on Xubuntu daily CD.

According to D-Bus monitor, qjackctl doesn't even create a tray icon before everything hangs.

Looking at the code, I suppose such behavior may be a result of this call in src/qjackctl.cpp:

            XGrabServer(m_pDisplay);
            m_wOwner = m_pWidget->winId();
            XSetSelectionOwner(m_pDisplay, m_aUnique, m_wOwner, CurrentTime);

In this code, m_pWidget is hidden so has no winId, and calling XSetSelectionOwner with m_wOwner=0 may result in blocked X11 session. (Because of bad design of X11, apps can do that… In Wayland this isn't possible).

I very much recommend to not use X11 API directly in Qt applications, and use what Qt provides instead.

Ross Gammon (rosco2) wrote :

Thanks Dmitry for spending so much time on this.

I had been meaning to create a separate bug for the freezing behaviour, and to try and get some debug output from X to send upstream to Qjackctl. But I had been busy, and it looks like you have found the issue anyway.

Not knowing the X11 API nor QT myself, do you think it would be easy to patch Qjackctl to use the QT5 functions instead (at least in this one place)?

I can forward your analysis upstream on a new bug, but we only have a few weeks and they may not respond quickly enough.

Dmitry Shachnev (mitya57) wrote :

Looks like the purpose of that code is to make the application singleton. There are lots of solutions for this task that do not require X11. Here is a very small library that qjackctl can probably use or embed: https://github.com/itay-grudev/SingleApplication.

As a quick and temporary fix, maybe that functionality can be disabled? It looks like --enable-xunique=no to configure may be sufficient.

Ross Gammon (rosco2) wrote :

OK - that re-factoring (Single/unique application instance control adapted to Qt5/X11) was listed in the release notes to 0.4.1.

I am not sure that allowing more than one Qjackctl instance is a good idea. Some audio applications require JACK to be running, and other start it themselves. This may cause users to get in a real tangle. But I will leave that to my more experience Ubuntu Studio team members to confirm.

As a quick and temporary fix, I think the patch to build with QT4 would be the best. All of the above 3 issues are solved, and the QT4 libraries are required anyway for other often used audio applications (e.g. ffado).

I have created a new ticket upstream about the freeze with Dmitry's suggestions. Hopefully we will get a better fix from upstream for the next release.

Ross Gammon (rosco2) wrote :

Whoops. The new ticket upstream:
https://sourceforge.net/p/qjackctl/tickets/27/

Len Ovens (len-ovenwerks) wrote :

@Dmitry, @Ross: I do remember qjackctl from before only allowing singltons :) one could close qjackctl to the systray and start it again from the menu with the result of two qjackctls. That while annoying, is not a real problem provided the user is using jackdbus as it is ok to have more than one application controlling jackdbus. There may be issues if dbus is turned off as jackd then becomes a child process of the qjackctl instance that started it. Another qjackctl can not stop it and quitting the excess qjackctl that does happen to have jackd as child of course stops jackd. This could be confusing, but unless jack is currently in use (recording?) not life shattering. Trying to close the qjackctl with the jackd child will create an exit/cancel dialog to warn the user jack will be stopped. The second qjackctl can still make connections of jack clients.

With the qt4 version, starting qjackctl from the menu will make the already running instance visible rather than start a new one.

Len Ovens (len-ovenwerks) wrote :

Rui has announced a new version of qjackctl on LAA, LAD,LAU mailing lists. One of the updates/changes is to remove Start minimized to system tray as an option. There are some other fixes for indicator menu, but they say they are kde based, so I do not know if they will also work for xfce. I am no expert on ubuntu/debian policy so I see three ways of fixing this:

1) ship the QT4 version with the knowledge that next cycle will see a fixed QT5 version.
2) grab the new version.
3) cherry pick these fixes from SF and apply a diff to what Ubuntu currently ships.

1) is the least work I think. 2) may be too late. 3) is more work, but allows one more app not to use qt4

Dmitry Shachnev (mitya57) wrote :

The new release is a minor/bugfix one, so I'll upload it now.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qjackctl - 0.4.2-0ubuntu1

---------------
qjackctl (0.4.2-0ubuntu1) xenial; urgency=medium

  * New upstream minor release.
    - Partially fixes issues with systray icon (LP: #1546328).
  * Refresh 90_dbus_setting.patch.

 -- Dmitry Shachnev <email address hidden> Wed, 06 Apr 2016 22:38:28 +0200

Changed in qjackctl (Ubuntu):
status: Confirmed → Fix Released
Len Ovens (len-ovenwerks) wrote :

@Dmitry, I still require:
export XDG_CURRENT_DESKTOP=Unity
To make the icon show. Is this being fixed in other places?

Also: the new version has changed the name of one of the settings that needs to be set by default for thing s to work ootb.

 see Bug #1567589

Len Ovens (len-ovenwerks) wrote :

I meant to add would be possible (advisable) to change the qjackctl.desktop file to use:
export XDG_CURRENT_DESKTOP=Unity; qjackctl
as the executable line as a temporary work around?

Dmitry Shachnev (mitya57) wrote :

> @Dmitry, I still require:
> export XDG_CURRENT_DESKTOP=Unity
> To make the icon show. Is this being fixed in other places?

I hope I'll be able to get the fix into Qt before Xenial release (or in the worst case as an early SRU). So no need to add the workaround.

no longer affects: qtbase-opensource-src (Ubuntu)
Changed in qjackctl (Ubuntu):
importance: Critical → Medium
Changed in ubuntustudio:
status: New → Fix Released
Dmitry Shachnev (mitya57) wrote :

Qt packages that should remove necessity for XDG_CURRENT_DESKTOP hack are available in ppa:mitya57/test1, please test.

Len Ovens (len-ovenwerks) wrote :

Installed and yes this fixes the Icon showing issue. Thankyou very much.

There is another bug(s) with the indicator menu itself. The top three menu items don't seem to work... but clicking on a menu item below that first then makes all the menu items show hover and work. The background for the indicator icon changes at this point as well. Also the first item "hide" does not have any effect, though show does. These are likely upstream bugs, but not show stoppers I think. Don't know if this is part of this bug or another :)

Dmitry Shachnev (mitya57) wrote :

The fixed Qt is now in archive.

Len, I think the issue mentioned by you is an unrelated upstream bug.

Joe Giampaoli (joegiampaoli) wrote :

0.4.2 is really buggy regarding the system tray icon. I had to compile it myself, using 0.4.5 is working well, although I'm not sure if it's because I built it against QT4:

./configure --with-qt4

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers